import { Client } from "discord.js";
export interface IEmoji {
    emoji: string;
    add_message?: string;
    remove_message?: string;
    roles: string[];
}
export interface IMessage {
    channel_id: string;
    message_id: string;
    limit: number;
    emojis: IEmoji[];
}
export interface IConfig {
    [message_id: string]: IMessage;
}
export declare class ReactionRole extends Client {
    private _token;
    private mongodb_uri?;
    private config;
    private db?;
    private logging;
    private ready;
    constructor(token: string, mongodb_uri?: string, logging?: boolean);
    createOption(emoji: string, roles: string[], add_message?: string, remove_message?: string): IEmoji;
    createMessage(channel_id: string, message_id: string, limit: number, ...emojis: IEmoji[]): Promise<IMessage>;
    deleteMessage(message_id: string): Promise<IConfig>;
    importConfig(config: IConfig): Promise<IConfig>;
    exportConfig: () => IConfig;
    init(): Promise<string>;
    reInit(): Promise<ReactionRole>;
}
